Strange Apache Error

Discussion in 'Installation/Configuration' started by protocol, Nov 22, 2005.

  1. protocol

    protocol New Member

    Hello all:

    The following line appears on every hit page in my apache error_log (Suse 10.0):

    an unknown filter was not added: PHP

    Please note that this is Suse's Apache, not ISPConfig's Apache. Anyone else that has seen this?

    Best Regards

  2. falko

    falko Super Moderator ISPConfig Developer

  3. protocol

    protocol New Member

    So it is an ISPConfig problem of it not detecting that the running version of Apache is not 1.x.x but 2.x.x. Correct?

    What is the solution?

    Should i install a fresh system running Apache 1.x.x as my main web server?
    Is there a patch for ISPConfig for fixing this?
    Is there any other means to fix it?
    I know it is not a serious problem (only a warning) but i wish it was gone.

    Please assist
  4. falko

    falko Super Moderator ISPConfig Developer

    ISPConfig detects correctly the Apache version (1.3.x or 2.0.x). For Apache 1.3.x it doesn't add these PHP filters, but in early Apache 2.0.x versions PHP worked only with these filters. This has changed now, but there is now way for ISPConfig to detect if the specific Apache 2.0.x on your system needs the filters or not. That's why ISPConfig simply adds both variants (filters and "AddType application ..."). In my opinion it's the best solution because it doesn't make Apache fail if Apache doesn't need the filters.

    I'd simply leave it as it is; otherwise you'll spend hours messing around with your system with no real surplus... (except that you won't see the warnings...).
  5. protocol

    protocol New Member

    Thank you.

Share This Page